# cli.delinearize_llama4

`cli.delinearize_llama4`

CLI tool to delinearize quantized/Linearized Llama-4 models.

## Functions

Name | Description
--- | ---
do_cli | Convert a patched HF format Llama4 model (with separated projections)

### do_cli

    cli.delinearize_llama4.do_cli(model, output)

Convert a patched HF format Llama4 model (with separated projections) back to the original HF format (with fused projections).

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
model | Union[Path, str] | Path to the patched HF model | required
output | Union[Path, str] | Path to save the converted model | required